QGIS Application - Bug report #20573
Regression: outputs of processing models are not assigned the specified styles
2018-11-21 06:36 AM - Alister Hood

Status: Closed

Priority: High

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.4.1 Regression?: Yes
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28393
Description

In the processing toolbox, right-click on an algorithm and choose "edit rendering styles for outputs”. Assign style(s), and try running the
algorithm. The output layer(s) will be assigned the correct styles.

However, repeat this for a processing model and the output layers will not be assigned the correct styles. This worked in previous
versions e.g. 2.18.23, but it does not work in either 3.4.1 or 3.2.3 - maybe it has always been a problem in 3.x?

Tested on Windows

Associated revisions

Revision eb47288f - 2019-01-23 08:02 AM - Victor Olaya

[processing] correctly set output styles for models

fixes #20573

History

#1 - 2018-11-21 06:38 AM - Alister Hood

- Description updated

#2 - 2018-11-21 12:42 PM - Giovanni Manghi
- Priority changed from Normal to High

#3 - 2019-01-13 11:58 PM - Alister Hood

There is a workaround - incorporate "set style for raster layer" and "set style for vector layer" in the processing model.
So I'm not sure that "high priority" is really justified in this case. | assume it is being set for all regressions?

#4 - 2019-01-14 01:24 AM - Giovanni Manghi

Alister Hood wrote:

I assume it is being set for all regressions?

yes
#5 - 2019-01-23 08:03 AM - Victor Olaya
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|eb47288fac06692748c7017f6f125a1fc66e9561.

#6 - 2019-05-08 04:39 PM - Andy Harfoot

| have just experienced this bug in 3.4.7 (package installer) on Windows 10, so it is possible another regression has occurred. The styles are correctly

applied in 3.6.2 on the same system.

#7 - 2019-05-08 10:32 PM - Alister Hood

| think the fix wasn't made in the 3.4 branch.

#8 - 2019-05-09 11:47 AM - Andy Harfoot

Alister Hood wrote:

| think the fix wasn't made in the 3.4 branch.

Confirmed - the diffs of the revision aren't applied in the 3.4.7 files. I'm surprised at this, given that the 3.4 branch is the current LTR.

#9 - 2019-05-09 12:00 PM - Andy Harfoot

Manually patching the files fixes the bug in 3.4.7

#10 - 2019-05-09 12:39 PM - Giovanni Manghi

Andy Harfoot wrote:

Manually patching the files fixes the bug in 3.4.7

please submit a patch on github.
